Page MenuHomeFreeBSD

dns/bind91*: py-sphinx is not required for MANPAGES
AbandonedPublic

Authored by michaelo on Nov 3 2023, 12:16 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, May 22, 4:53 AM
Unknown Object (File)
Wed, May 22, 3:20 AM
Unknown Object (File)
Wed, May 22, 2:52 AM
Unknown Object (File)
Sun, May 19, 4:28 AM
Unknown Object (File)
Apr 26 2024, 2:12 AM
Unknown Object (File)
Apr 24 2024, 12:53 PM
Unknown Object (File)
Apr 6 2024, 9:10 PM
Unknown Object (File)
Feb 22 2024, 1:39 AM
Subscribers
None

Details

Reviewers
jrm
otis
mat
Summary

PR: 262272
Approved by: jrm (mentor), otis (mentor), maintainer timeout

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Skipped
Unit
Tests Skipped
Build Status
Buildable 54270
Build 51160: arc lint + arc unit

Event Timeline

michaelo created this revision.

Issue has been open for more than a year. No maintainer response. I have verified back then and now again that py-sphinx is truly not needed for manpages. Interactive poudriere jail was very helpful.

Let me ping mat@ on IRC. Are dns/bind918 and dns/bind9-devel the same?

I have just played around with dns/bind918 in poudriere interactively, if I understand it correctly, one can build the manpages without sphinx as well. I will try this with dns/bind-tools since I use them for AD DNS updates, but don't want the luggage of py-sphinx.

I have confirmed in jail that dns/bind918 does not require py-sphinx to build manpages which drops a huge dependency tree. I have tried all permutations:
manpages on/off, sphinx present/absent, docs on/off. What is required if sphinx is present, but not selected: gmake. If gmake would be promoted to USES unconditionally, manpages option could be removed and always installed.

michaelo retitled this revision from dns/bind916: py-sphinx is not required for MANPAGES to dns/bind91*: py-sphinx is not required for MANPAGES.Nov 3 2023, 4:58 PM

I heard back from @mat today on IRC. He's fine to proceed, given you build tested. @mat made another good point. If the man pages build fine without textproc/py-sphinx, let's remove the option and always install the man pages. Also, please apply the same change to dns/bind9-devel, unless I'm missing something and that port is different.

Then also I guess also manpages should be installed unconditionally (and adjusting pkg-plist).

mat requested changes to this revision.EditedNov 7 2023, 9:36 PM

Mmm, now that I think about it, if you do not have sphinx, everything succeeds, but the man page are actually not really man pages any more, but some sort of markdown or something. Please do not commit this.

This revision now requires changes to proceed.Nov 7 2023, 9:36 PM
In D42452#969808, @mat wrote:

Mmm, now that I think about it, if you do not have sphinx, everything succeeds, but the man page are actually not really man pages any more, but some sort of markdown or something. Please do not commit this.

I did not make this observation. man named just works. Can you share what does not work for you w/o sphinx?

In D42452#969799, @jrm wrote:

I heard back from @mat today on IRC. He's fine to proceed, given you build tested. @mat made another good point. If the man pages build fine without textproc/py-sphinx, let's remove the option and always install the man pages. Also, please apply the same change to dnd/bind9-devel, unless I'm missing something and that port is different.

dns/bind-devel needs an update first, it is a bit dated, but I guess the behavior should be similar.

Regarding unconditional: it is not that easy because it would require USES=gmake unconditionally because we don't know upfront whether py-sphinx is there or not. I have tried, it fails with BSD make.

In D42452#969808, @mat wrote:

Mmm, now that I think about it, if you do not have sphinx, everything succeeds, but the man page are actually not really man pages any more, but some sort of markdown or something. Please do not commit this.

I did not make this observation. man named just works. Can you share what does not work for you w/o sphinx?

Still waiting for @mat's response.

It looks like @mat just committed:

dns/bind916: remove option as the man pages no longer need sphinx
dns/bind918: remove option as the man pages no longer need sphinx
dns/bind9-devel: remove option as the man pages no longer need sphinx
In D42452#977850, @jrm wrote:

It looks like @mat just committed:

dns/bind916: remove option as the man pages no longer need sphinx
dns/bind918: remove option as the man pages no longer need sphinx
dns/bind9-devel: remove option as the man pages no longer need sphinx

Indeed, I don't understand that. He objected, I asked for a reason twice, no response and now it is committed? What went wrong here?

I am closing this since it has been addressed, but @mat I would expect that you can explain what happened here.